トップページ -> 研究道具箱と教材 -> Ruby プログラミング -> Windows で Ruby バージョン 1.8.7 のインストール (ActiveScriptRuby 1.8.7-p302 を使用)
[サイトマップへ]  

Windows で Ruby バージョン 1.8.7 のインストール (ActiveScriptRuby 1.8.7-p302 を使用)

ActiveScriptRuby とは Windows に Ruby を簡単に導入できるソフトウエア. この Web ページでは Windows での ActiveScriptRuby 1.8.7-p302 を用いた Ruby バージョン 1.8.7-p302 の導入手順を図解で説明します.

Ruby プログラミング用の開発環境として,emacs のようなエディタを使用するか, 開発環境を使うことを薦めます

Ruby on Rails や Ruby を使ったデータベースプログラミングなどは,別の Web ページに記述しています.

参考 Web ページ: http://www.gfd-dennou.org/arch/davis/gfdnavi/doc/install/install-rails.htm


ActiveScriptRuby 1.8.7-p302 を用いた Ruby バージョン 1.8.7-p302 のインストール

  1. Ruby の Web ページを開く

    http://www.ruby-lang.org/ja/

  2. ダウンロード」をクリック

  3. 下の方にある「ActiveScriptRuby」をクリック

  4. ActiveScriptRuby ...」をクリック

  5. ダウンロードが始まる

  6. ダウンロードしたインストーラを起動

  7. ようこそ画面

    Next」をクリック

  8. インストールディレクトリの設定

    デフォルトのままでよい.「Next」をクリック

  9. インストール開始の確認

    Next」をクリック

  10. インストールが始まる

  11. インストール完了の確認

    Close」をクリック

  12. 今度は,先ほどのWeb ページで「RDoc1.8.msi」をクリック

  13. ダウンロードが始まる

  14. ダウンロードしたインストーラを起動

  15. ようこそ画面

    Next」をクリック

  16. インストールディレクトリの設定

    デフォルトのままでよい.「Next」をクリック

  17. インストール開始の確認

    Next」をクリック

  18. インストールが始まる

  19. インストール完了の確認

    Close」をクリック


Ruby on Rails のインストール

  1. Ruby コンソール (ruby console administrator) を起動

    Windows の「スタート」から「Ruby 1.8」を選び,「ruby console administratorを選ぶ

  2. Ruby の gem の更新

    先に Ruby の gem ファイルを最新のものに更新したいので,Ruby コンソールで, 次を実行します.

    gem update
    

    ※ Windows で環境変数 HOME を設定している場合にはエラーが出ることがある(環境変数 HOME を消してから実行することになる)

  3. 「gem install rails --include-dependencies 」の実行

    安定版をインストールしたい場合(普通はこちら)

    gem install pkg-config --include-dependencies
    gem install rails --include-dependencies
    

    数分待つ.途中で止まっているように見えるかも知れないが待つこと.

    ■ Ruby on Rails プレリリース版 をインストールしたい場合の操作例(最新の機能を試したい場合はこちら)

    gem install tzinfo builder i18n memcache-client rack rake rack-test rack-mount erubis mail text-format thor bundler --include-dependencies
    gem install rack-mount --version=0.4.7
    gem install rails --prerelease --include-dependencies
    

    数分待つ.途中で止まっているように見えるかも知れないが待つこと.




    以下、書きかけ

  4. インストール終了の確認


(オプション)Ruby の gem で MySQL パッケージ, SQLite3 パッケージをインストール

  1. Ruby の gem の更新

    Ruby コンソールで次の操作を行う

    gem update
    

  2. MySQL のインストール が済んでいること

  3. 「gem install mysql --include-dependencies 」の実行

    ※ Ruby 用の MySQL パッケージをインストールしたいとき

  4. 「gem install sqlite3-ruby --include-dependencies 」の実行

    ※ Ruby 用の SQlite 3 パッケージをインストールしたいとき

インストールできたかは,「gem list」の実行で確認できる.実行例は次の通り.